using System;

namespace ordersInterfaces
{
	public class Customer : ICustomer
	{
		string _id;
		string _name;

		//apply VisibleColumn attribute here
		//set attribute to false
		public string ID
		{
			get
			{
				return _id;
			}
			set
			{
				_id = value;
			}
		}

		//apply VisibleColumn attribute here
		//set attribute to true
		public string Name
		{
			get
			{
				return _name;
			}
			set
			{
				_name = value;
			}
		}
	}

	
	public class Inventory : IInventory
	{
		string _id;
		string _description;
		int _qty;

		public string ID
		{
			get
			{
				return _id;
			}
			set
			{
				_id=value;
			}
		}

		public string Description
		{
			get
			{
				return _description;
			}
			set
			{
				_description = value;
			}
		}

		public int Qty
		{
			get
			{
				return _qty;
			}
			set
			{
				_qty = value;
			}
		}

	}

	
	public class OrderItem : IOrderItem
	{
		string _customerID;
		string _inventoryID;
		string _description;
		int _qty;

		public string CustomerID
		{
			get
			{
				return _customerID;
			}
			set
			{
				_customerID = value;
			}
		}

		public string InventoryID
		{
			get
			{
				return _inventoryID;
			}
			set
			{
				_inventoryID = value;
			}
		}

		public int Qty
		{
			get
			{
				return _qty;
			}
			set
			{
				_qty = value;
			}
		}

		public string Description
		{
			get
			{
				return _description;
			}
			set
			{
				_description = value;
			}
		}
	}

}
